Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## igeo.io
Enum I3DXML.MaterialApplicationType.TextureBlendFunctionType

    java.lang.Object
      java.lang.Enum<I3DXML.MaterialApplicationType.TextureBlendFunctionType>
          igeo.io.I3DXML.MaterialApplicationType.TextureBlendFunctionType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<I3DXML.MaterialApplicationType.TextureBlendFunctionType>

Enclosing class:
  I3DXML.MaterialApplicationType

    public static enum I3DXML.MaterialApplicationType.TextureBlendFunctionType

extends java.lang.Enum<I3DXML.MaterialApplicationType.TextureBlendFunctionType>

Enum Constant Summary
`ADD`
`ALPHA_TRANSPARENCY`
`BURN`
`INVERT`
`LIGHTMAP`
`REPLACE`

Method Summary
`static I3DXML.MaterialApplicationType.TextureBlendFunctionType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static I3DXML.MaterialApplicationType.TextureBlendFunctionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### REPLACE

    public static final I3DXML.MaterialApplicationType.TextureBlendFunctionType REPLACE

### ADD

    public static final I3DXML.MaterialApplicationType.TextureBlendFunctionType ADD

### ALPHA_TRANSPARENCY

    public static final I3DXML.MaterialApplicationType.TextureBlendFunctionType ALPHA_TRANSPARENCY

### LIGHTMAP

    public static final I3DXML.MaterialApplicationType.TextureBlendFunctionType LIGHTMAP

### BURN

    public static final I3DXML.MaterialApplicationType.TextureBlendFunctionType BURN

### INVERT

    public static final I3DXML.MaterialApplicationType.TextureBlendFunctionType INVERT

Method Detail

### values

    public static final I3DXML.MaterialApplicationType.TextureBlendFunctionType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(I3DXML.MaterialApplicationType.TextureBlendFunctionType c : I3DXML.MaterialApplicationType.TextureBlendFunctionType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static I3DXML.MaterialApplicationType.TextureBlendFunctionType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD